#ifndef __OnlyOneProgram_h__
#define __OnlyOneProgram_h__
#include "Wumbo-Program.h"
#if PLATFORM_IOS
#include <OpenGLES/ES2/gl.h>
#elif PLATFORM_PC
#if PLATFORM_WINDOWS
#include <GL/glew.h>
#include <GL/wglew.h>
#endif
#include <SFML/OpenGL.hpp>
#endif
class OnlyOneProgram : public Wumbo::Program
{
private:
	GLuint program;
public:
	void begin();
	void update();
	void render();
	void end();
};
#endif